Summary: The PHP3 HTML-embedded scripting language for use with Apache.
Name: mod_php3
Version: 3.0.7
Release: 4
Group: System Environment/Daemons
Source0: http://www.php.net/distributions/php-%{version}.tar.gz
Source1: manual.tar.gz
#Patch: php-3.0.6-redhat.patch
Copyright: GPL
BuildRoot: /var/tmp/php3-root
Requires: webserver

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

This package contains PHP3, or PHP version 3.05.  If you use
applications which specifically rely on PHP/FI, you should instead
install the PHP/FI module contained in the mod_php package.
If you're just starting with PHP, you should install this package.
You'll also need to install the Apache web server.

%prep
%setup -q -n php-%{version}
#%patch -p1 -b .redhat
mkdir manual; cd manual && tar xzf $RPM_SOURCE_DIR/manual.tar.gz
chown -R root.root .

%build
./configure --prefix=/usr \
	--with-apxs=/usr/sbin/apxs \
	--with-config-file-path=/etc/httpd \
	--enable-debug=no \
	--enable-safe-mode \
	--with-exec-dir=/usr/bin \
	--with-system-regex \
	--disable-debug \
	--with-zlib

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
mkdir -p $RPM_BUILD_ROOT/etc/httpd
install -m 755 libphp3.so $RPM_BUILD_ROOT/usr/lib/apache
install -m 644 php3.ini-dist $RPM_BUILD_ROOT/etc/httpd/php3.ini

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/apache/libphp3.so
%config /etc/httpd/php3.ini
%doc TODO CODING_STANDARDS CREDITS ChangeLog LICENSE BUGS examples
%doc manual/*
%doc INSTALL.REDHAT

%changelog
* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- pick up php3.ini

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- build against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.7.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to php 3.0.6, built against apache 1.3.4

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for apache 1.3.3

* Thu Oct 08 1998 Preston Brown <pbrown@redhat.com>
- updated to 3.0.5, fixes nasty bugs in 3.0.4.

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.0.4 and recompiled for apache 1.3.2

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- improvements; builds with apache-devel package installed.

* Tue Sep 01 1998 Preston Brown <pbrown@redhat.com>
- Made initial cut for PHP3.
